summaryrefslogtreecommitdiff
path: root/tests/build-chunk.script
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2011-12-01 10:52:47 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2011-12-01 10:52:47 +0000
commit53565244ad5bc25df9a3040ea3dc1ad957847d08 (patch)
tree2e7430995fd052a9f24eb355d592bb16ed74e1fe /tests/build-chunk.script
parent04c1fe6722f6cc0bab4d117ab8b0ba031ab339bf (diff)
downloadmorph-53565244ad5bc25df9a3040ea3dc1ad957847d08.tar.gz
add test case for building a chunk
Diffstat (limited to 'tests/build-chunk.script')
-rwxr-xr-xtests/build-chunk.script34
1 files changed, 34 insertions, 0 deletions
diff --git a/tests/build-chunk.script b/tests/build-chunk.script
new file mode 100755
index 00000000..08adb176
--- /dev/null
+++ b/tests/build-chunk.script
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Test building a chunk.
+#
+# Copyright (C) 2011 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+cache="$DATADIR/build-chunk-cache"
+mkdir "$cache"
+./morph --no-default-configs build repo farrokh hello.morph \
+ --git-base-url "file://$DATADIR/" \
+ --cachedir="$cache" --keep-path
+for chunk in "$cache/"*.chunk.*
+do
+ echo "$chunk:" | sed 's/[^.]*//'
+ tar -tf "$chunk" | LC_ALL=C sort | sed '/^\.\/./s:^\./::'
+ echo
+done
+rm -rf "$cache"
+